summaryrefslogtreecommitdiff
path: root/BLDLIBDWARF
diff options
context:
space:
mode:
authorIgor Pashev <pashev.igor@gmail.com>2012-10-20 14:42:03 +0400
committerIgor Pashev <pashev.igor@gmail.com>2012-10-20 14:42:03 +0400
commitbb1c3da3c12651f1c408d96dd6d33ae157bdadd6 (patch)
tree4a535b35500684ac6a928bf0fd661325b5a04697 /BLDLIBDWARF
downloaddwarfutils-bb1c3da3c12651f1c408d96dd6d33ae157bdadd6.tar.gz
Imported Upstream version 20120410upstream/20120410upstream
Diffstat (limited to 'BLDLIBDWARF')
-rwxr-xr-xBLDLIBDWARF30
1 files changed, 30 insertions, 0 deletions
diff --git a/BLDLIBDWARF b/BLDLIBDWARF
new file mode 100755
index 0000000..8309961
--- /dev/null
+++ b/BLDLIBDWARF
@@ -0,0 +1,30 @@
+#!/bin/sh
+#
+bldone () {
+ t=$1
+ cd $t
+ # The following distclean will fail on a clean directory
+ # Ignore the failure
+ make distclean
+ ./configure
+ if [ $? != 0 ]
+ then
+ echo build failed
+ exit
+ fi
+ make
+ if [ $? != 0 ]
+ then
+ echo build failed
+ exit
+ fi
+ cd ..
+}
+
+bldone libdwarf
+bldone dwarfdump
+bldone dwarfdump2
+
+
+
+